Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 3857 - IPX X problem: Sbus probe gives wrong resolution
Summary: IPX X problem: Sbus probe gives wrong resolution
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: Xconfigurator
Version: 6.0
Hardware: sparc
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matt Wilson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-07-01 17:55 UTC by aleahy
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-09 06:29:26 UTC


Attachments (Terms of Use)

Description aleahy 1999-07-01 17:55:46 UTC
I just upgraded an old RDI BriteLite IPX laptop from RedHat
5.2 to RedHat 6.0 (including all updates) and found that X
stopped working altogether.  Symptoms: when I enter "startx"
I get

   _X11TransSocketUNIXConnect: Can't connect: errno=61
   waiting for X Server to begin accepting connections
   (using VT number 7)

and then a blank screen.  Switching back to VT 1, I can kill
the server with no problem.  The only clue I have is the
following output from the "Sbus Probe" window of
Xconfigurator:  It detects the bwtwo framebuffer O.K., but
then says that the resolution is "1152x900". The problem:
I'm pretty sure the best I can do with the black-and-white
LCD on this laptop is 1024x768. (That's the best I've been
able to run in the past.)  When Xconfigurator tries to start
the X server, it eventually fails, saying 'There is a
problem with your X configuration' or something similar.

Comment 1 Preston Brown 1999-08-31 19:03:59 UTC
have you run Xconfigurator and tried to manually adjust your settings?

Comment 2 Preston Brown 1999-09-23 17:09:59 UTC
closed due to lack of feedback.

Comment 3 Preston Brown 1999-09-23 22:36:59 UTC
oops, I did not know sparc Xconfigurator couldn't manually adjust
values, we'll look into this.

Comment 4 Matt Wilson 2000-02-09 06:29:59 UTC
Xconfigurator uses the resolution settings for the framebuffer as reported by
OBP (OpenBoot Prom).  I've never actually had my hands on a Sun laptop, so it's
hard for me to explore where resolution settings are mismatched.  The Prom
shouldn't be reporting resolutions that the framebuffer isn't currently set to.


Note You need to log in before you can comment on or make changes to this bug.